
Foreman - Refactor #4613

Remove duplicate scoped search definition from taxonomy models

03/10/2014 01:49 PM - Tomáš Strachota

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Organizations and Locations   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1950

  

Description

Organization and Location have currently scoped search definition duplicate with Taxonomy. This is because scoped search is not

handling inherited attributes well. We should remove the duplicity once it gets fixed in scoped search.

See https://github.com/wvanbergen/scoped_search/issues/78 for details.

Related issues:

Related to Foreman - Bug #4486: Cannot search for an organization by name, on... Closed 02/27/2014

Associated revisions

Revision 9bbd7f96 - 11/18/2014 05:34 AM - Daniel Lobato Garcia

Fixes #4613 - Remove duplicate scoped search from taxonomies

History

#1 - 03/10/2014 01:49 PM - Tomáš Strachota

- Related to Bug #4486: Cannot search for an organization by name, only label added

#2 - 03/24/2014 08:24 AM - Dominic Cleal

Fixed in scoped_search 2.7.0.

#3 - 11/17/2014 06:51 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1950 added

#4 - 11/18/2014 05:37 AM - Dominic Cleal

- Assignee set to Daniel Lobato Garcia

- translation missing: en.field_release set to 28

#5 - 11/18/2014 06:02 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 9bbd7f969e88b92ead370c7835b953eb936b41b5.
